Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.werkzeuge
Class Textwerkzeug

    java.lang.Object
      sum.werkzeuge.Textwerkzeug

All Implemented Interfaces:
  Serializable

    public class Textwerkzeug

extends Object
implements Serializable

Ein Textwerkzeug realisiert ein Objekt, das verschiedene Zeichenkettenoperationen zur Verfuegung stellt. Das Trennungszeichen trennt einen Text in "Worte". Es ist normalerweise das Leerzeichen.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek
See Also:
  Serialized Form

Constructor Summary
`Textwerkzeug()` Das Textwerkzeug wird mit einem Leerzeichen als Trennung initialisiert.

Method Summary
`int` | `alsGanzeZahl(char pZeichen)` Das Zeichen wird in eine ganze Zahl umgewandelt.
`int` | `alsGanzeZahl(String pText)` Die Zeichenkette wird in eine ganze Zahl umgewandelt.
`long` | `alsLangeGanzeZahl(String pText)` Die Zeichenkette wird in eine ganze Zahl umgewandelt.
`String` | `alsText(double pZahl)` Die Zahl wird in eine Zeichenkette umgewandelt.
`String` | `alsText(int pZahl)` Die ganze Zahl wird in eine Zeichenkette umgewandelt.
`double` | `alsZahl(String pText)` Die Zeichenkette wird in eine Zahl umgewandelt.
`void` | `gibFrei()` aus Kompatibilitaetsgruenden
`String` | `grossschrift(String pText)` Es wird die Zeichenkette in Grossbuchstaben umgewandelt.
`String` | `grossSchrift(String pText)` Es wird die Zeichenkette in Grossbuchstaben umgewandelt.
`boolean` | `istGanzeZahl(char pZeichen)` Es wird zurueckgegeben, ob das Zeichen eine ganze Zahl ist.
`boolean` | `istGanzeZahl(String pText)` Es wird zurueckgegeben, ob die Zeichenkette eine ganze Zahl ist.
`boolean` | `istGleich(String pText1, String pText2)` Es werden zwei Zeichenketten verglichen (=).
`boolean` | `istGroesser(String pText1, String pText2)` Es werden zwei Zeichenketten verglichen (>).
`boolean` | `istKleiner(String pText1, String pText2)` Es werden zwei Zeichenketten verglichen (<).
`boolean` | `istLangeGanzeZahl(String pText)` Es wird zurueckgegeben, ob die Zeichenkette eine lange ganze Zahl ist.
`boolean` | `istZahl(String pText)` Es wird zurueckgegeben, ob die Zeichenkette eine Zahl ist.
`String` | `kleinschrift(String pText)` Es wird die Zeichenkette in Kleinbuchstaben umgewandelt.
`String` | `kleinSchrift(String pText)` Es wird die Zeichenkette in Kleinbuchstaben umgewandelt.
`int` | `laenge(String pText)` Es wird die Laenge der Zeichenkette zurueckgegeben.
`int` | `ordinalzahl(char pZeichen)` Das Zeichen wird in die zugehoerige Ordinalzahl umgewandelt
`int` | `positionVon(String pText, String pSuchtext)` Es wird die Position einer Teilzeichenkette in der Zeichenkette zurueckgegeben.
`void` | `setzeTrennungszeichen(String pTrennungszeichenkette)` Die Zeichenkette, die zur Trennung dient, wurde definiert.
`String` | `teilzeichenkette(String pText, int pVon, int pBis)` Es wird eine Teilzeichenkette zurueckgegeben.
`String` | `teilZeichenkette(String pText, int pVon, int pBis)` Es wird eine Teilzeichenkette zurueckgegeben.
`String` | `textMit(String pText, String pNeu, int pStelle)` Es wird eine Zeichenkette an einer bestimmten Position eingefuegt.
`String` | `textOhne(String pText, int pVon, int pBis)` Es wird eine Teilzeichenkette aus der Zeichenkette entfernt.
`String` | `verkettung(String pText1, String pText2)` Die beiden Zeichenketten werden verkettet.
`String` | `verkettung(String pText1, String pText2, String pText3)` Die drei Zeichenketten werden verkettet.
`String` | `verkettung(String pText1, String pText2, String pText3, String pText4)` Die vier Zeichenketten werden verkettet.
`String` | `verkettung(String pText1, String pText2, String pText3, String pText4, String pText5)` Die fuenf Zeichenketten werden verkettet.
`String` | `verkettung(String pText1, String pText2, String pText3, String pText4, String pText5, String pText6)` Die sechs Zeichenketten werden verkettet.
`String` | `verkettung(String pText1, String pText2, String pText3, String pText4, String pText5, String pText6, String pText7)` Die sieben Zeichenketten werden verkettet.
`String` | `verkettung(String pText1, String pText2, String pText3, String pText4, String pText5, String pText6, String pText7, String pText8)` Die acht Zeichenketten werden verkettet.
`String` | `verkettung(String pText1, String pText2, String pText3, String pText4, String pText5, String pText6, String pText7, String pText8, String pText9)` Die neun Zeichenketten werden verkettet.
`String` | `verkettung(String pText1, String pText2, String pText3, String pText4, String pText5, String pText6, String pText7, String pText8, String pText9, String pText10)` Die zehn Zeichenketten werden verkettet.
`String` | `wortAn(String pText, int pWortnummer)` Es wird das Wort der angegebenen Nummer der Zeichenkette zurueckgegeben.
`int` | `wortanzahl(String pText)` Es wird die Anzahl Worte in der Zeichenkette zurueckgegeben.
`char` | `zeichenAn(String pText, int pStelle)` Es wird das Zeichen an einer bestimmten Stelle der Zeichenkette zurueckgegeben.
`char` | `zeichenVon(int pOrdinalzahl)` Die Ordinalzahl wird in das zugehoerige Zeichen umgewandelt

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Textwerkzeug

    public Textwerkzeug()

  Das Textwerkzeug wird mit einem Leerzeichen als Trennung initialisiert.

Method Detail

### alsGanzeZahl

    public int alsGanzeZahl(char pZeichen)

  Das Zeichen wird in eine ganze Zahl umgewandelt.

  Parameters:
    `pZeichen` - das zu wandelnde Zeichen
  Returns:
    das in eine ganze Zahl gewandelte Zeichen

### alsGanzeZahl

    public int alsGanzeZahl(String pText)

  Die Zeichenkette wird in eine ganze Zahl umgewandelt.

  Parameters:
    `pText` - der zu wandelnde Text
  Returns:
    der in eine ganze Zahl gewandelte Text

### alsLangeGanzeZahl

    public long alsLangeGanzeZahl(String pText)

  Die Zeichenkette wird in eine ganze Zahl umgewandelt.

  Parameters:
    `pText` - der zu wandelnde Text
  Returns:
    der in eine ganze Zahl gewandelte Text

### alsText

    public String alsText(double pZahl)

  Die Zahl wird in eine Zeichenkette umgewandelt.

  Parameters:
    `pZahl` - die zu wandelnde Zahl
  Returns:
    die in eine Zeichenkette gewandelte Zahl

### alsText

    public String alsText(int pZahl)

  Die ganze Zahl wird in eine Zeichenkette umgewandelt.

  Parameters:
    `pZahl` - die zu wandelnde ganze Zahl
  Returns:
    die in eine Zeichenkette gewandelte ganze Zahl

### alsZahl

    public double alsZahl(String pText)

  Die Zeichenkette wird in eine Zahl umgewandelt.

  Parameters:
    `pText` - der zu wandelnde Text
  Returns:
    der in eine Zahl gewandelte Text

### gibFrei

    public void gibFrei()

  aus Kompatibilitaetsgruenden

### grossschrift

    public String grossschrift(String pText)

  Es wird die Zeichenkette in Grossbuchstaben umgewandelt.

  Parameters:
    `pText` - der Ausgangstext
  Returns:
    der in Grossschrift gewandelte Text

### grossSchrift

    public String grossSchrift(String pText)

  Es wird die Zeichenkette in Grossbuchstaben umgewandelt.

  Parameters:
    `pText` - der Ausgangstext
  Returns:
    der in Grossschrift gewandelte Text

### istGanzeZahl

    public boolean istGanzeZahl(char pZeichen)

  Es wird zurueckgegeben, ob das Zeichen eine ganze Zahl ist.

  Parameters:
    `pZeichen` - das zu untersuchende Zeichen
  Returns:
    true, wenn das Zeichen eine ganze Zahl ist

### istGanzeZahl

    public boolean istGanzeZahl(String pText)

  Es wird zurueckgegeben, ob die Zeichenkette eine ganze Zahl ist.

  Parameters:
    `pText` - der zu untersuchende Text
  Returns:
    true, wenn der Text eine ganze Zahl ist

### istGleich

    public boolean istGleich(String pText1,
                             String pText2)

  Es werden zwei Zeichenketten verglichen (=).

  Parameters:
    `pText1` - der erste Text
    `pText2` - der zweite Text
  Returns:
    true, wenn beide Texte gleich sind

### istGroesser

    public boolean istGroesser(String pText1,
                               String pText2)

  Es werden zwei Zeichenketten verglichen (>).

  Parameters:
    `pText1` - der erste Text
    `pText2` - der zweite Text
  Returns:
    true, wenn der erste Text groesser ist

### istKleiner

    public boolean istKleiner(String pText1,
                              String pText2)

  Es werden zwei Zeichenketten verglichen (<).

  Parameters:
    `pText1` - der erste Text
    `pText2` - der zweite Text
  Returns:
    true, wenn der erste Text kleiner ist

### istLangeGanzeZahl

    public boolean istLangeGanzeZahl(String pText)

  Es wird zurueckgegeben, ob die Zeichenkette eine lange ganze Zahl ist.

  Parameters:
    `pText` - der zu untersuchende Text
  Returns:
    true, wenn der Text eine lange ganze Zahl ist

### istZahl

    public boolean istZahl(String pText)

  Es wird zurueckgegeben, ob die Zeichenkette eine Zahl ist.

  Parameters:
    `pText` - der zu untersuchende Text
  Returns:
    true, wenn der Text eine Zahl ist

### kleinschrift

    public String kleinschrift(String pText)

  Es wird die Zeichenkette in Kleinbuchstaben umgewandelt.

  Parameters:
    `pText` - der Ausgangstext
  Returns:
    der in Kleinschrift gewandelte Text

### kleinSchrift

    public String kleinSchrift(String pText)

  Es wird die Zeichenkette in Kleinbuchstaben umgewandelt.

  Parameters:
    `pText` - der Ausgangstext
  Returns:
    der in Kleinschrift gewandelte Text

### laenge

    public int laenge(String pText)

  Es wird die Laenge der Zeichenkette zurueckgegeben.

  Parameters:
    `pText` - der zu untersuchende Text
  Returns:
    die Zahl der Zeichen im Text

### ordinalzahl

    public int ordinalzahl(char pZeichen)

  Das Zeichen wird in die zugehoerige Ordinalzahl umgewandelt

  Parameters:
    `pZeichen` - das Zeichen
  Returns:
    die Position des Zeichens in der Unicode-Tabelle

### positionVon

    public int positionVon(String pText,
                           String pSuchtext)

  Es wird die Position einer Teilzeichenkette in der Zeichenkette zurueckgegeben. Falls der Suchtext nichtvorhanden ist, wird 0 zurueckgegeben.

  Parameters:
    `pText` - der Text, in dem gesucht wird
    `pSuchtext` - die Teilzeichenkette
  Returns:
    die Position der Teilzeichenkette im Text

### setzeTrennungszeichen

    public void setzeTrennungszeichen(String pTrennungszeichenkette)

  Die Zeichenkette, die zur Trennung dient, wurde definiert.

  Parameters:
    `pTrennungszeichenkette` - die neue Trennung

### teilzeichenkette

    public String teilzeichenkette(String pText,
                                   int pVon,
                                   int pBis)

  Es wird eine Teilzeichenkette zurueckgegeben.

  Parameters:
    `pText` - der zu untersuchende Text
    `pVon` - die Position des ersten Zeichens
    `pBis` - die Position des letzten Zeichens
  Returns:
    die Teilzeichenkette

### teilZeichenkette

    public String teilZeichenkette(String pText,
                                   int pVon,
                                   int pBis)

  Es wird eine Teilzeichenkette zurueckgegeben.

  Parameters:
    `pText` - der zu untersuchende Text
    `pVon` - die Position des ersten Zeichens
    `pBis` - die Position des letzten Zeichens
  Returns:
    die Teilzeichenkette

### textMit

    public String textMit(String pText,
                          String pNeu,
                          int pStelle)

  Es wird eine Zeichenkette an einer bestimmten Position eingefuegt.

  Parameters:
    `pText` - der Text, in den eingefuegt wird
    `pNeu` - der Text, der eingefuegt wird
    `pStelle` - die Position im Text, wo eingefuegt wird
  Returns:
    der verlaengerte Text

### textOhne

    public String textOhne(String pText,
                           int pVon,
                           int pBis)

  Es wird eine Teilzeichenkette aus der Zeichenkette entfernt.

  Parameters:
    `pText` - der Text, aus dem entfernt wird
    `pVon` - die erste Position, von der an entfernt wird
    `pBis` - die letzte Position, bis zu der entfernt wird
  Returns:
    der gekuerzte Text

### verkettung

    public String verkettung(String pText1,
                             String pText2)

  Die beiden Zeichenketten werden verkettet.

  Parameters:
    `pText1` - der erste Text
    `pText2` - der zweite Text
  Returns:
    der aus beiden Texten zusammengesetzte Text

### verkettung

    public String verkettung(String pText1,
                             String pText2,
                             String pText3)

  Die drei Zeichenketten werden verkettet.

  Parameters:
    `pText1` - der erste Text
    `pText2` - der zweite Text
    `pText3` - der dritte Text
  Returns:
    der aus den drei Texten zusammengesetzte Text

### verkettung

    public String verkettung(String pText1,
                             String pText2,
                             String pText3,
                             String pText4)

  Die vier Zeichenketten werden verkettet.

  Parameters:
    `pText1` - der erste Text
    `pText2` - der zweite Text
    `pText3` - der dritte Text
    `pText4` - der vierte Text
  Returns:
    der aus den vier Texten zusammengesetzte Text

### verkettung

    public String verkettung(String pText1,
                             String pText2,
                             String pText3,
                             String pText4,
                             String pText5)

  Die fuenf Zeichenketten werden verkettet.

  Parameters:
    `pText1` - der erste Text
    `pText2` - der zweite Text
    `pText3` - der dritte Text
    `pText4` - der vierte Text
    `pText5` - der fuenfte Text
  Returns:
    der aus den fuenf Texten zusammengesetzte Text

### verkettung

    public String verkettung(String pText1,
                             String pText2,
                             String pText3,
                             String pText4,
                             String pText5,
                             String pText6)

  Die sechs Zeichenketten werden verkettet.

  Parameters:
    `pText1` - der erste Text
    `pText2` - der zweite Text
    `pText3` - der dritte Text
    `pText4` - der vierte Text
    `pText5` - der fuenfte Text
    `pText6` - der sechste Text
  Returns:
    der aus den sechs Texten zusammengesetzte Text

### verkettung

    public String verkettung(String pText1,
                             String pText2,
                             String pText3,
                             String pText4,
                             String pText5,
                             String pText6,
                             String pText7)

  Die sieben Zeichenketten werden verkettet.

  Parameters:
    `pText1` - der erste Text
    `pText2` - der zweite Text
    `pText3` - der dritte Text
    `pText4` - der vierte Text
    `pText5` - der fuenfte Text
    `pText6` - der sechste Text
    `pText7` - der sechste Text
  Returns:
    der aus den sieben Texten zusammengesetzte Text

### verkettung

    public String verkettung(String pText1,
                             String pText2,
                             String pText3,
                             String pText4,
                             String pText5,
                             String pText6,
                             String pText7,
                             String pText8)

  Die acht Zeichenketten werden verkettet.

  Parameters:
    `pText1` - der erste Text
    `pText2` - der zweite Text
    `pText3` - der dritte Text
    `pText4` - der vierte Text
    `pText5` - der fuenfte Text
    `pText6` - der sechste Text
    `pText7` - der sechste Text
    `pText8` - der sechste Text
  Returns:
    der aus den acht Texten zusammengesetzte Text

### verkettung

    public String verkettung(String pText1,
                             String pText2,
                             String pText3,
                             String pText4,
                             String pText5,
                             String pText6,
                             String pText7,
                             String pText8,
                             String pText9)

  Die neun Zeichenketten werden verkettet.

  Parameters:
    `pText1` - der erste Text
    `pText2` - der zweite Text
    `pText3` - der dritte Text
    `pText4` - der vierte Text
    `pText5` - der fuenfte Text
    `pText6` - der sechste Text
    `pText7` - der sechste Text
    `pText8` - der sechste Text
    `pText9` - der neunte Text
  Returns:
    der aus den neun Texten zusammengesetzte Text

### verkettung

    public String verkettung(String pText1,
                             String pText2,
                             String pText3,
                             String pText4,
                             String pText5,
                             String pText6,
                             String pText7,
                             String pText8,
                             String pText9,
                             String pText10)

  Die zehn Zeichenketten werden verkettet.

  Parameters:
    `pText1` - der erste Text
    `pText2` - der zweite Text
    `pText3` - der dritte Text
    `pText4` - der vierte Text
    `pText5` - der fuenfte Text
    `pText6` - der sechste Text
    `pText7` - der sechste Text
    `pText8` - der sechste Text
    `pText9` - der neunte Text
    `pText10` - der zehnte Text
  Returns:
    der aus den zehn Texten zusammengesetzte Text

### wortAn

    public String wortAn(String pText,
                         int pWortnummer)

  Es wird das Wort der angegebenen Nummer der Zeichenkette zurueckgegeben.

  Parameters:
    `pText` - der Text, in dem das Wort gesucht wird
    `pWortnummer` - die Nummer fuer das Wort
  Returns:
    das n-te Wort (n ist die Wortnummer)

### wortanzahl

    public int wortanzahl(String pText)

  Es wird die Anzahl Worte in der Zeichenkette zurueckgegeben.

  Parameters:
    `pText` - der Text, in dem die Wort gezaehlt werden
  Returns:
    die Anzahl der Worte

### zeichenAn

    public char zeichenAn(String pText,
                          int pStelle)

  Es wird das Zeichen an einer bestimmten Stelle der Zeichenkette zurueckgegeben.

  Parameters:
    `pText` - der Text, in dem ein Zeichen gesucht wird
    `pStelle` - die Position fuer das Zeichen (beginnend bei 1)
  Returns:
    das Zeichen an der entsprechenden Position

### zeichenVon

    public char zeichenVon(int pOrdinalzahl)

  Die Ordinalzahl wird in das zugehoerige Zeichen umgewandelt

  Parameters:
    `pOrdinalzahl` - die Zahl fuer die Position in der Unicode-Tabelle
  Returns:
    das Zeichen an der entsprechenden Position der Unicode-Tabelle

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD